Package com.avaya.clientservices.contact

## Enum ContactServiceFailReason

- java.lang.Object
- - java.lang.Enum<ContactServiceFailReason>
  - - com.avaya.clientservices.contact.ContactServiceFailReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactServiceFailReason>`

      public enum ContactServiceFailReason
      extends java.lang.Enum<ContactServiceFailReason>

  Reason for contact service failure

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCEL_REQUESTID_NOT_EXIST` |
    `UNKNOWN_REASON` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactServiceFailReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactServiceFailReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_REASON

          public static final ContactServiceFailReason UNKNOWN_REASON

    - #### CANCEL_REQUESTID_NOT_EXIST

          public static final ContactServiceFailReason CANCEL_REQUESTID_NOT_EXIST

  - ### Method Detail

    - #### values

          public static ContactServiceFailReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactServiceFailReason c : ContactServiceFailReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactServiceFailReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null